Make Lexeme frontend datamodel have minimum required features
Closed, ResolvedPublic

Description

  • Lexeme.js
    • include lemmas
    • remove fingerprint / labels
    • adjust equals method
  • fix LexemeDeserializer (and serializer?) to not expect labels and instead use lemmas
Jakob_WMDE triaged this task as High priority.
Tarrow claimed this task.Jun 14 2018, 8:07 AM

Change 441836 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Make Lexeme JS data model better represent backend

https://gerrit.wikimedia.org/r/441836

Change 441837 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/Wikibase@master] Remove Fingerprint from JS Entity datamodel

https://gerrit.wikimedia.org/r/441837

Tarrow renamed this task from Make Lexeme frontend datamodel better represent the backend datamodel to Make Lexeme frontend datamodel have minimum required features.Jun 27 2018, 10:11 AM

Change 441836 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make Lexeme JS data model better represent backend

https://gerrit.wikimedia.org/r/441836

Ladsgroup moved this task from incoming to in progress on the Wikidata board.Jun 28 2018, 3:28 PM
Vvjjkkii renamed this task from Make Lexeme frontend datamodel have minimum required features to q4aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii removed Tarrow as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii edited subscribers, added: Tarrow; removed: gerritbot.
CommunityTechBot assigned this task to Tarrow.
CommunityTechBot renamed this task from q4aaaaaaaa to Make Lexeme frontend datamodel have minimum required features.
CommunityTechBot edited subscribers, added: gerritbot; removed: Tarrow.

Not to be confused with T198379, though I don't quite know what the differentiation is.

Tarrow added a comment.Jul 4 2018, 9:58 AM

Previously the model was missing the required features (forms and lemmas). Now it has them (and more).

T198379 is ripping out the unused bits.

Jakob_WMDE closed this task as Resolved.Jul 16 2018, 9:07 AM

Change 441837 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Remove Fingerprint from JS Entity datamodel

https://gerrit.wikimedia.org/r/441837